Name:          howl-logger
Version:       1.0.2
Release:       8%{?dist}
Summary:       High-speed ObjectWeb Logger
License:       BSD
URL:           http://forge.ow2.org/projects/howl/
# svn export svn://svn.forge.objectweb.org/svnroot/howl/tags/HOWL_1_0_2/howl/logger/ howl-logger-1.0.2
# tar czf howl-logger-1.0.2-src-svn.tar.gz howl-logger-1.0.2
Source0:       %{name}-%{version}-src-svn.tar.gz

# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local

BuildArch:     noarch

%description
HOWL is a logger implementation providing features
required by the ObjectWeb JOTM project, with a public
API that is generally usable by any Transaction Manager.
HOWL uses unformatted binary logs to maximize performance
and specifies a journalization API with methods necessary
to support JOTM recovery operations.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
rm -r .externalToolBuilders .settings
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:source" 1.5
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:target" 1.5
%pom_xpath_set "pom:project/pom:version" %{version}

# these test fails
# java.lang.OutOfMemoryError: unable to create new native thread: 785 threads created
rm -r src/test/org/objectweb/howl/log/BigLogTest.java \
 src/test/org/objectweb/howl/log/ThroughputTest.java \
 src/test/org/objectweb/howl/log/LogTest.java
sed -i "s|junit.textui.TestRunner.run(LogTest.class);|//junit.textui.TestRunner.run(LogTest.class);|" \
  src/test/org/objectweb/howl/log/allTest.java \
  src/test/org/objectweb/howl/log/ExceptionTest.java

%mvn_file :howl %{name} howl
%mvn_alias :howl "howl:%{name}"

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 05 2015 gil cattaneo <puntogil@libero.it> 1.0.2-4
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.2-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Aug 31 2012 gil cattaneo <puntogil@libero.it> 1.0.2-1
- initial rpm
